routes/web.php
<?php

use App\Http\Controllers\Admin;
use App\Http\Controllers\AppointmentController;
use App\Http\Controllers\Auth\LoginController;
use App\Http\Controllers\AvailabilityController;
use App\Http\Controllers\CartController;
use App\Http\Controllers\WishlistController;
use App\Http\Controllers\FrontCategoryController;
use App\Http\Controllers\CategoryController;
use App\Http\Controllers\CommandeController;
use App\Http\Controllers\CommentController;
use App\Http\Controllers\Auth\PasswordController;
use App\Http\Controllers\ProductController;
use App\Http\Controllers\ProfilClientController;
use App\Http\Controllers\RecetteController;
use App\Http\Controllers\ClientController;
use App\Http\Controllers\ConseilController;
use App\Http\Controllers\DashboardController;
use App\Http\Controllers\RatingController;
use App\Http\Controllers\SettingController;
use App\Http\Controllers\GestionInformationController;
use App\Http\Controllers\FrontController;
use App\Models\User;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Mail;

Route::get('/', [\App\Http\Controllers\HomeController::class, 'index'])->name('welcome');
// Routes accessibles à tous les utilisateurs
Auth::routes(['reset' => true]);
Route::get('logout', [LoginController::class, 'logout'])->name('admin.logout');
Route::post('/logout', [LoginController::class, 'logout'])->name('logout');
//MAIL REST PASSWORD
Route::post('password/reset' , [\App\Http\Controllers\Auth\ResetPasswordController::class, 'resetPassword'])->name('password.update');
Route::get('/test-email', function () {
    Mail::raw('This is a test email', function ($message) {
        $message->to('recipient@example.com')
            ->subject('Test Email from Laravel');
    });

    return 'Test email sent.';
});
//

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
Route::get('/nutritionnistes', [FrontController::class, 'nutritionnistes'])->name('front.nutritionnistes.index');
Route::get('/nutritionnistes/search', [FrontController::class, 'searchNutritionnistes'])->name('nutritionnistes.search');
Route::get('/recettes/search', 'App\Http\Controllers\FrontController@search')->name('recette.search');

//category recette
Route::get('/category/{slug}',[App\Http\Controllers\FrontCategoryController::class, 'index'])->name('category.recette');

//route wishlist
Route::get('/wishlist', [WishlistController::class, 'index'])->name('wishlist');
Route::post('/wishlist/add/{id}', [WishlistController::class, 'add'])->name('wishlist.add')->middleware('auth');
Route::delete('/supprimer/item/wishlist/{id}', [WishlistController::class, 'delete'])->name('wishlist.remove')->middleware('auth');

//route rating

Route::post('/products/{product}/rate', [RatingController::class, 'storeProductRating'])->name('products.rate');
Route::post('/nutritionists/rate', [RatingController::class, 'storeNutritionistRating'])->name('nutritionists.rate');

Route::get('/recette', [FrontController::class, 'recettes'])->name('front.recettes.index');
Route::get('/recettes/{id}', [FrontController::class, 'recettedetails'])->name('front.recettedetails.index');
Route::get('/conseils', [FrontController::class, 'conseil'])->name('conseils');
Route::get('/conseils/{id}', [FrontController::class, 'conseildetails'])->name('front.conseildetails.index');
Route::get('/conseils/search', [FrontController::class, 'searchConseils'])->name('conseils.search');

Route::post('/conseils/{id}/comment', [App\Http\Controllers\CommentController::class, 'createConseil'])->name('comment.create.conseil');
Route::get('/shop',[FrontController::class,'shop'])->name('shop');
Route::get('/shop/search', [FrontController::class, 'shop'])->name('shop.search');
Route::get('/shop/{id}',[FrontController::class,'shopdetails'])->name('shopdetails.index');

Route::post('ajout/commande',[CommandeController::class,'store'])->name('commande.store')->middleware('auth');
Route::get('caisse',[CommandeController::class,'index'])->name('front.caisse.index')->middleware('auth');
//route cart
Route::get('/cart',[CartController::class,'index'])->name('cart.index')->middleware('auth');
Route::post('/ajout-cart/{id}', [CartController::class, 'ajout'])->name('ajout.cart');
Route::get('/supprimer/item/cart/{id}',[CartController::class,'delete'])->name('supprimer.cart')->middleware('auth');
Route::post('/edit/{id}',[CartController::class,'update'])->name('modifier.cart')->middleware('auth');


Route::post('/appointment', [AppointmentController::class, 'create'])->name('appointment.store');
Route::resource('appointments', AppointmentController::class);
Route::get('/api/appointments', [AppointmentController::class, 'apiAppointments'])->name('api.appointments');
Route::get('/appointments/list', [AppointmentController::class, 'listAppointments'])->name('appointments.list');
Route::resource('availabilities', AvailabilityController::class);

Route::put('/nutritionnistes/{nutritionniste}/approve', [\App\Http\Controllers\NutritionnisteController::class, 'approve'])->name('nutritionnistes.approve');
Route::patch('/nutritionniste/approve', [\App\Http\Controllers\NutritionnisteController::class, 'nutritionniste'])->name('approve.nutritionniste');
Route::get('/apropos', [App\Http\Controllers\FrontController::class, 'apropos'])->name('apropos');
Route::post('/recettes/{id}/comment', [App\Http\Controllers\CommentController::class, 'create'])->name('comment.create');

Route::get('profile', [\App\Http\Controllers\ProfileController::class, 'edit'])->name('admin.profile.edit');
Route::patch('profile', [\App\Http\Controllers\ProfileController::class, 'update'])->name('admin.profile.update');
Route::patch('modifier/password', [\App\Http\Controllers\Auth\PasswordController::class, 'update'])->name('password.update');



    Route::get('user/account', [ProfilClientController::class, 'edit'])->name('client.account.edit');
    Route::patch('user/account/edit', [ProfilClientController::class, 'update'])->name('client.account.update');
    Route::patch('account/password', [ProfilClientController::class, 'updatePassword'])->name('password.update.account');

    //Route access admin
Route::prefix('admin')->middleware('auth','admin')->group(function () {
   //Route settings
    Route::get('/paramettre', [SettingController::class, 'index'])->name('settings.index');
    Route::put('/paramettre/{settings}', [SettingController::class, 'update'])->name('settings.update');
//Route auteurs
    Route::resource('nutritionniste', App\Http\Controllers\NutritionnisteController::class)->shallow();
    Route::resource('client', App\Http\Controllers\clientController::class)->shallow();
//Route categories
    Route::resource('/category', CategoryController::class)->except(['show']);
//Route produits
    Route::resource('/produit', ProductController::class);
    //Route commande-cote-admin
    Route::get('/commandes',[\App\Http\Controllers\CommandeController::class, 'Admin'])->name('commande.admin');
    Route::delete('/admin/commandes/{id}', [CommandeController::class, 'destroy'])->name('admin.commandes.destroy');
    Route::get('/commande/voir/{id}',[\App\Http\Controllers\CommandeController::class, 'show'])->name('commande.voir');
    Route::get('commandes/confirm/{id}', [CommandeController::class, 'confirm'])->name('admin.commandes.confirm');
    Route::get('commandes/annuler/{id}', [CommandeController::class, 'annuler'])->name('admin.commandes.annuler');

});

//Route admin-nutritionniste
Route::prefix('dashboard')->middleware(['auth', 'CheckRole:' . User::TYPE_SUPER_ADMIN . ',' . User::TYPE_NUTRITIONNISTE])->group(function () {
    Route::get('/acceuil', [DashboardController::class, 'index'])->name('admin.dashboard');
    Route::resource('conseil', App\Http\Controllers\ConseilController::class);
    // Route::resource('client', ClientController::class)->except(['show']);
    Route::resource('/recette', RecetteController::class);
//Route commentaires
    Route::get('/comment', [\App\Http\Controllers\CommentController::class,'index'])->name('comment.index');
    Route::put('/comment/update/{comment}',[CommentController::class,'update'])->name('comment.update');
    Route::put('/comment/debloque/{id}',[CommentController::class,'debloquer'])->name('comment.debloquer');

});

//Route Nuutritionniste
Route::prefix('nutritionniste')->middleware('auth','Nutritionniste')->group(function () {
    Route::resource('/compte', GestionInformationController::class);

});
// Routes pour les utilisateurs invités (non connectés)
Route::middleware('guest')->group(function () {

    Route::get('login', [LoginController::class, 'showLoginForm'])->name('login');
    Route::get('password/reset', [\App\Http\Controllers\Auth\ResetPasswordController::class, 'showReset'])->name('password.request');
    Route::post('login', [LoginController::class, 'login'])->name('admin.login.submit');
});

resources/views/admin/compte/create.blade.php
@extends('layouts.admin.app')
@section('title','Gestion de Compte')
@section('dashboard-header')
    <div class="row align-items-center">
        <div class="col">
            <h3 class="page-title mt-5">
                Informations de Compte
            </h3>
        </div>
    </div>
@endsection
@section('dashboard-content')
    <div class="row">
        <div class="col-lg-12">
            <form action="{{route('compte.store')}}" method="POST" enctype="multipart/form-data">
                @csrf
                @if ($errors->any())
                    <div class="alert alert-danger">
                        <ul>
                            @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="last_name">Adresse</label>
                            <input
                                id="adresse"
                                class="form-control"
                                type="text"
                                name="adresse"
                                required
                            />
                            @error('adresse')
                            <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                            @enderror
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Bio</label>
                            <textarea class="form-control" rows="5" name="bio"></textarea>
                            @error('bio')
                            <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                            @enderror
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="address">Spécialité</label>
                            <input
                                id="specialite"
                                class="form-control"
                                type="text"
                                name="specialite"
                                required
                            />
                            @error('specialite')
                            <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                            @enderror
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="phone">Horaires</label>
                            <input
                                id="horaires"
                                class="form-control"
                                type="text"
                                name="horaires"
                            />
                            @error('horaires')
                            <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                            @enderror
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="phone">Langue</label>
                            <input
                                id="langue"
                                class="form-control"
                                type="text"
                                name="langue"
                            />
                            @error('langue')
                            <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                            @enderror
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="phone">Diplome</label>
                            <input
                                id="diplome"
                                class="form-control"
                                type="text"
                                name="diplome"
                            />
                            @error('diplome')
                            <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                            @enderror
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Experience</label>
                            <textarea class="form-control" rows="5" name="experience"></textarea>
                            @error('experience')
                            <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                            @enderror
                        </div>
                    </div>

                </div>
                <button type="submit" class="btn btn-primary buttonedit1">
                    Enregistrer
                </button>
            </form>
        </div>
    </div>

@endsection

resources/views/admin/compte/edit.blade.php
@extends('layouts.admin.app')

@section('title', 'Modification des informations')

@section('dashboard-header')
    <div class="row align-items-center">
        <div class="col">
            <h3 class="page-title mt-5">Modifier les informations de compte</h3>
        </div>
    </div>
@endsection

@section('dashboard-content')
    <div class="row">
        <div class="col-lg-12">
            <form action="{{ route('compte.update', $compte->id) }}" method="POST" enctype="multipart/form-data">

                @csrf
                @method('PUT')
                <div class="row formtype">


                    <div class="col-md-4">
                        <div class="form-group">
                            <label>prenom</label>
                            <input type="text" class="form-control" name="last_name" value="{{(auth()->user()->last_name)}}">
                        </div>
                    </div>

                    <div class="col-md-4">
                        <div class="form-group">
                            <label>Nom</label>
                            <input type="text" class="form-control" name="first_name" value="{{(auth()->user()->first_name)}}"> </div>
                    </div>

                    <div class="col-md-4">
                        <div class="form-group">
                            <label>Email</label>
                            <input type="email" class="form-control" name="email" value={{(auth()->user()->email)}}> </div>
                    </div>


                    <div class="col-md-4">
                        <div class="form-group">
                            <label>Photo de profile</label>
                            <input type="file" name="avatar" class="form-control"> </div>
                    </div>


                    <div class="col-md-4">
                        <div class="form-group">
                            <label>Addresse</label>
                            <input class="form-control" type="text" name="address" value="{{ old('address', auth()->user()->address) }}">
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Biographie</label>
                            <textarea class="form-control" rows="5" name="bio">{{ old('bio', $compte->bio) }}</textarea>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>Specialité</label>
                            <input class="form-control" type="text" name="specialite" value="{{ old('specialite', $compte->specialite) }}">
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>horaires</label>
                            <input class="form-control" type="text" name="horaires" value="{{ old('horaires', $compte->horaires) }}">
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>langue</label>
                            <input class="form-control" type="text" name="langue" value="{{ old('langue', $compte->langue) }}">
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>Diplome</label>
                            <input class="form-control" type="text" name="diplome" value="{{ old('diplome', $compte->diplome) }}">
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Experience</label>
                            <textarea class="form-control" rows="5" name="experience">{{ old('experience', $compte->experience) }}</textarea>
                        </div>
                    </div>
                </div>
                <button type="submit" class="btn btn-primary buttonedit1">Enregistrer modifictaions</button>
            </form>
        </div>
    </div>
@endsection

resources/views/admin/compte/index.blade.php
@extends('layouts.admin.app')
@section('title', "informations-compte")
@section('dashboard-header')
    <div class="page-header">
        <div class="row align-items-center">
            <div class="col">
                <div class="mt-5">
                    <h4 class="card-title float-left mt-2">Informations de compte </h4>
                </div>
            </div>
            @endsection
            @section('dashboard-content')
                <div class="row">
                    <div class="col-sm-12">
                        <div class="card card-table">
                            <div class="card-body booking_card">
                                <div class="table-responsive">
                                    <table class="datatable table table-stripped table table-hover table-center mb-0">
                                        <thead>
                                        <tr>
                                            <th>Auteur</th>
                                            <th>adresse</th>
                                            <th>Specialité</th>
                                            <th>Langue</th>
                                            <th>horaires</th>
                                            <th>Date</th>
                                            <th class="text-right">Actions</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        @foreach($comptes as $compte)
                                            <tr>
                                                <td>
                                                    <h2 class="table-avatar">
                                                        <a href="{{ route('admin.profile.edit') }}" class="avatar avatar-sm mr-2">
                                                            <div class="author-img-wrap">
                                                                <img class="img-fluid rounded-circle" alt="" src="{{ asset($compte->user->avatar) }}">
                                                            </div>
                                                        </a>
                                                        <a href="{{ route('admin.profile.edit') }}">{{ $compte->user->fullName() }}</a>
                                                    </h2>
                                                </td>
                                                <td>{{$compte->adresse}}</td>
                                                <td>{{$compte->specialite}}</td>
                                                <td>{{$compte->langue}}</td>
                                                <td>{{$compte->horaires}}</td>
                                                <td>
                                                    @php
                                                        $time=Carbon\Carbon::now()
                                                    @endphp
                                                    {{$time->dayName}}, {{$time->isoFormat('LL')}}
                                                </td>
                                                <td class="text-right">
                                                    <div class="dropdown dropdown-action">
                                                        <a href="#" class="action-icon dropdown-toggle" data-toggle="dropdown" aria-expanded="false"><i class="fas fa-ellipsis-v ellipse_color"></i></a>
                                                        <div class="dropdown-menu dropdown-menu-right">
                                                            <a class="dropdown-item" href="{{ route('compte.show', $compte) }}">
                                                                <i class="fas fa-pencil-alt m-r-5"></i> voir
                                                            </a>
                                                            <a class="dropdown-item" href="{{ route('compte.edit', $compte) }}">
                                                                <i class="fas fa-pencil-alt m-r-5"></i> modifier
                                                            </a>
                                                            <a class="dropdown-item" href="#" data-toggle="modal" data-target="#delete_compte_{{ $compte->id }}">
                                                                <i class="fas fa-trash-alt m-r-5"></i> Supprimer
                                                            </a>
                                                        </div>
                                                    </div>
                                                </td>
                                            </tr>

                                            <!-- Delete Modal -->
                                            <div id="delete_compte_{{ $compte->id }}" class="modal fade delete-modal" role="dialog">
                                                <div class="modal-dialog modal-dialog-centered">
                                                    <div class="modal-content">
                                                        <div class="modal-body text-center">
                                                            <img src="{{ asset('assets/img/sent.png') }}" alt="" width="50" height="46">
                                                            <h3 class="delete_class">Etes vous sure de vouloir supprimer cet element?</h3>
                                                            <div class="m-t-20">
                                                                <form action="{{ route('compte.destroy', $compte) }}" method="POST">
                                                                    @csrf
                                                                    @method('delete')
                                                                    <button type="submit" class="btn btn-danger">Supprimer</button>
                                                                    <button type="button" class="btn btn-white" data-dismiss="modal">Fermer</button>
                                                                </form>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        @endforeach
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
@endsection

resources/views/admin/compte/show.blade.php
@extends('layouts.admin.app')
@section('title', "informations-compte")
@section('dashboard-header')
    <br/>
    <div class="row">
        <div class="col-sm-12">
            <h4 class="page-title">Details de compte</h4>
        </div>
        @endsection
        @section('dashboard-content')
            <div class="row mt-3">
                <div class="col-md-8">
                    <div class="blog-view">
                        <article class="blog blog-single-post">
                            <div class="blog-content mt-4">
                                <h4><b>Biographie </b></h4>
                                <p>{{$compte->bio}}</p>
                            </div>
                            <div class="blog-content mt-4">
                                <h4><b>Experiencce: </b></h4>
                                <p>{{$compte->experience}}</p>
                            </div>
                            <div class="blog-content mt-4">
                                <h4><b>Horraire: </b></h4>
                                <p>{{$compte->horaires}}</p>
                            </div>
                            <div class="blog-content mt-4">
                                <h4><b>Diplome: </b></h4>
                                <p>{{$compte->diplome}}</p>
                            </div>
                        </article>
                        <div class="widget author-widget clearfix">
                            <h3>A propos de l'auteur</h3>
                            <div class="about-author">
                                <div class="about-author-img">
                                    <div class="author-img-wrap">
                                        <img class="img-fluid" alt="" src="{{ asset($compte->user->avatar) }}">
                                    </div>
                                </div>
                                <div class="author-details"><span
                                        class="blog-author-name">{{$compte->user->fullName()}}</span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
    </div>
@endsection